Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454175

Summary: Review Request: gfs-nicefore-fonts - GFS Nicefore majuscule Greek font
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: Package ReviewAssignee: Rahul Sundaram <sundaram>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fonts-bugs, notting, smohan
Target Milestone: ---Flags: sundaram: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-19 15:50:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nicolas Mailhot 2008-07-06 00:23:05 UTC
Spec URL: http://nim.fedorapeople.org/gfs-nicefore-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-nicefore-fonts-20080303-1.fc10.src.rpm

Description:
As it is known, the Greek alphabet was used in majuscule form for over a
millenium before the miniscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparce use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letterforms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modeled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the byzantine majuscule tradition, principally used on
theological editions, remained alive until the early 19th century.

GFS Nicefore is a typical byzantine sample of the 5th-7th century period.

It has been designed by George D. Matthiopoulos.

See also https://fedoraproject.org/wiki/GFS_Nicefore_font

Comment 1 Rahul Sundaram 2008-07-18 21:35:49 UTC
OK  | MUST: rpmlint is clean
OK  | MUST: The package must be named according to the Package…

Shouldn't the font directory name be consistent? Under /usr/share/docs it is
gfs-nicecore-fonts and it is just called gfs-nicefore under /usr/share/fonts. I
suppose that is a matter of taste since font packages don't seem to follow any
particular convention here. 

OK  | MUST: The spec file name must match the base package…
OK  | MUST: The package must meet the Packaging Guidelines…
OK  | MUST: The package must be licensed with a Fedora approved…
OK  | MUST: The License field in the package spec file must…
OK  | MUST: Packaged detached license and specified in %doc
OK  | MUST: The spec file for the package MUST be legible.
OK  | MUST: The package must successfully compile and build…
OK  | MUST: successfully compile, build 
OK  | MUST: All build dependencies must be listed…
OK  | MUST: A package must own all directories that it creates
OK  | MUST: A package must not contain any duplicate files 
OK  | MUST: Permissions on files must be set properly. 
OK  | MUST: Each package must have a %clean section
OK  | MUST: Each package must consistently use macros
OK  | MUST: The package must contain code, or permissible 
OK  | MUST: Packages must not own files or directories already
OK  | MUST: At the beginning of %install, each package MUST…
OK  | MUST: All filenames in rpm packages must be valid UTF-8.
OK  | SHOULD: If the source package does not include license 
OK  | SHOULD: The description and summary section … translations…
OK  | SHOULD: The package builds in mock
OK  | SHOULD: The package builds on all supported architectures
OK  | SHOULD: The reviewer should test that the package…
OK  | SHOULD: If scriptlets are used, those scriptlets must be sane…

APPROVED


Comment 2 Nicolas Mailhot 2008-07-19 07:54:44 UTC
(In reply to comment #1)

> Shouldn't the font directory name be consistent? Under /usr/share/docs it is
> gfs-nicecore-fonts and it is just called gfs-nicefore under /usr/share/fonts. I
> suppose that is a matter of taste since font packages don't seem to follow any
> particular convention here. 

If you look at the contents of your /usr/share/fonts we rather consistently drop
the suffix. putting a lots of -fonts subdirs in a fonts dir seemed rather useless.

Anyway, thanks a lot for taking the time to do the review!

New Package CVS Request
=======================
Package Name: gfs-nicefore-fonts
Short Description: GFS Nicefore majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes



Comment 3 Kevin Fenzi 2008-07-19 14:00:29 UTC
cvs done.

Comment 4 Nicolas Mailhot 2008-07-19 15:50:15 UTC
Thanks!